@font-face {
    font-family: icon;
    src: url(/asset/iconfont.woff2);
}
@font-face {
    font-family: note;
    src: url(/asset/draw/preset-font/asul.woff2);
}
ico {
    font-family: icon;
    margin-right: 3px;
    user-select: none;
    -webkit-user-select: none;
}

* {
    touch-action: none;
    scrollbar-width: none;
}

::-webkit-scrollbar {
    display: none;
}

.but-h {
    background-color: var(--link);
    color: var(--theme-bg);
    text-align: center;
    cursor: pointer;
    transition: box-shadow 0.2s, background-color 0.2s, opacity 0.2s;
    user-select: none;
    -webkit-user-select: none;
}
.but-h:hover {
    box-shadow: 0 0 0 2px var(--shadow);
    background-color: var(--link-act);
}
.but-h:active {
    box-shadow: 0 0 0 3px var(--shadow);
    opacity: 0.7;
}
.but {
    color: var(--link);
    box-shadow: 0 0 0 1px var(--link);
    text-align: center;
    cursor: pointer;
    transition: box-shadow 0.2s, color 0.2s, opacity 0.2s;
    user-select: none;
    -webkit-user-select: none;
}
.but:hover {
    box-shadow: 0 0 0 1px var(--link-act);
    color: var(--link-act);
}
.but:active {
    opacity: 0.7;
}

html {
    --theme-bg: #222;
    --theme-bg-opacity: #2228;
    --theme-tx: #dde;
    --surface: #4a5a70;
    --dim: #5a6a80;
    --bright: #363b47;
    --shadow: #768a9380;
    --link: #adf;
    --link-act: #8ae;
    --theme: #adf;
    --margin-header: 80px;
    overflow: hidden auto;
}
html.no-scroll {
    overflow: hidden;
}

body {
    margin: 0;
    background-color: var(--theme-bg);
    color: var(--theme-tx);
    transition: background-color 0.2s, color 0.2s;
}
body, textarea, input {
    font-family: "Microsoft YaHei", -apple-system, "Segoe UI", Oxygen, Ubuntu,
        sans-serif;
}

input, textarea {
    outline: none;
    border: none;
    border-radius: 12px;
    background-color: var(--theme-bg);
    color: var(--theme-tx);
    opacity: 0.5;
    transition: opacity 0.1s, box-shadow 0.1s;
}
input:hover {
    opacity: 1;
}
input:focus, textarea:focus {
    opacity: 1;
    box-shadow: 0 0 0 2px var(--link);
}

a {
    color: var(--link);
    transition: color 0.2s, text-shadow 0.2s;
    text-decoration: none;
}
a:hover {
    color: var(--theme-tx);
    text-shadow: 0 0 3px var(--link);
}

::selection {
    background-color: var(--shadow);
}

@keyframes fade {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
@keyframes popup {
    0% {
        opacity: 0;
        transform: translateY(10%);
    }
    100% {
        opacity: 1;
        transform: none;
    }
}

@keyframes tip {
    0% {
        opacity: 0;
        transform: translateX(100px);
    }
    10%,
    90% {
        opacity: 1;
        transform: translateX(0px);
    }
    100% {
        opacity: 0;
        transform: translateX(-100px);
    }
}
body > tips {
    z-index: 112;
    position: fixed;
    left: 0;
    top: 120px;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    pointer-events: none;
}
body > tips > div {
    margin: 10px;
    font-size: 20px;
    padding: 0px 20px;
    line-height: 40px;
    background-color: var(--theme-bg-opacity);
    color: var(--theme-tx);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    border-radius: 5px;
    animation: tip 3s;
    pointer-events: none;
}
body > tips > div.err {
    background-color: #d66c;
}
body > tips > div::before {
    content: "\e840";
    font-family: icon;
    margin-right: 5px;
}

@keyframes arthm-click {
    0% {
        width: 0px;
        height: 0px;
        opacity: 1;
    }
    100% {
        width: 30px;
        height: 30px;
        opacity: 0;
    }
}
body > arthm-click {
    z-index: 120;
    position: fixed;
    left: 0; top: 0;
    pointer-events: none;
}
body > arthm-click > div {
    position: absolute;
    border-radius: 50%;
    box-shadow: 0 0 0 1px var(--link);
    animation: arthm-click 0.2s;
    transform: translate(-50%, -50%);
}

body > .popup {
    z-index: 111;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(0deg, #1112, transparent);
}
body > .popup > div {
    z-index: 112;
    position: absolute;
    border-radius: 12px;
    box-shadow: 0 0 3px var(--shadow);
    width: var(--popup-w);
    height: var(--popup-h);
    left: calc(50% - var(--popup-w) / 2);
    top: calc(50% - var(--popup-h) / 2);
    animation: popup 0.2s;
    overflow: hidden;
    background-color: var(--theme-bg-opacity);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}
body > .popup > div > popup-close {
    position: absolute;
    right: 10px;
    top: 5px;
    font-size: 20px;
    opacity: 0.5;
    cursor: pointer;
    color: var(--theme-tx);
    transition: opacity 0.2s, color 0.2s;
}
body > .popup > div > popup-close::after {
    content: "\e83a";
    font-family: icon;
}
body > .popup > div > popup-close:hover {
    opacity: 1;
    color: var(--link);
}

body > header {
    z-index: 110;
    position: fixed;
    width: calc(100% - 80px);
    left: 20px;
    top: 10px;
    height: 40px;
    display: flex;
    background-color: var(--theme-bg-opacity);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    box-shadow: 0 0 2px var(--shadow);
    border-radius: 12px;
    padding: 10px 20px;
    transition: top 0.8s;
}
@keyframes header-load {
    0% {
        background-position-x: -100%;
    }
    80%,
    100% {
        background-position-x: 200%;
    }
}
body > header[load] {
    background-image: linear-gradient(
        90deg,
        transparent,
        var(--theme),
        transparent
    );
    background-size: 50% 100%;
    background-repeat: no-repeat;
    animation: header-load 1.5s infinite;
}

body > header.hid {
    top: -80px;
}

body > header > svg {
    width: 40px;
    margin: 0 20px;
    fill: var(--theme);
    cursor: pointer;
    transition: fill 0.2s;
}
body > header > input {
    width: 300px;
    display: block;
    height: 20px;
    padding: 10px 20px;
    font-size: 18px;
}
body > header > img,
body > header > login {
    border-radius: 50px;
    object-fit: cover;
    width: 40px;
    height: 40px;
}
body > header > login {
    width: 80px;
}
body > header > login::after {
    content: "登录";
    line-height: 40px;
    font-size: 15px;
}
body > header > img {
    z-index: 111;
    position: absolute;
    right: 40px;
    top: 10px;
    transition: width 0.2s, height 0.2s, right 0.2s;
}
body > header > img.act {
    width: 100px;
    height: 100px;
    right: 90px;
    pointer-events: none;
    box-shadow: 0 0 0 2px var(--shadow);
}
body > header > user {
    position: absolute;
    display: block;
    right: 40px;
    top: 50px;
    height: 220px;
    padding-top: 60px;
    text-align: center;
    width: 200px;
    background-color: var(--bright);
    box-shadow: 0 0 3px var(--shadow);
    border-radius: 12px;
    animation: popup 0.2s;
}
body > header > user > avatar {
    position: absolute;
    border-radius: 50%;
    width: 100px;
    height: 100px;
    right: 50px;
    top: -40px;
    cursor: pointer;
}
body > header > user > h3 {
    margin: 10px;
    font-size: 18px;
    cursor: pointer;
}
body > header > user > following {
    display: flex;
}
body > header > user > following > div {
    height: 50px;
    line-height: 30px;
    flex-grow: 1;
    margin: 0 10px;
    position: relative;
    transition: text-shadow 0.2s;
    cursor: pointer;
    margin: 10px 20px 30px 20px;
}
body > header > user > following > div:hover {
    text-shadow: 0 0 2px var(--shadow);
}
body > header > user > following > div::after {
    position: absolute;
    top: 30px;
    left: 0;
    width: 100%;
    line-height: 20px;
    color: var(--shadow);
}
body > header > user > following > div:nth-child(1)::after {
    content: "关注";
}
body > header > user > following > div:nth-child(2)::after {
    content: "粉丝";
}
body > header > user > buts {
    display: flex;
    margin: 0 10px;
}
body > header > user > buts > div {
    display: block;
    margin: 3px;
    font-size: 16px;
    line-height: 30px;
    cursor: pointer;
    transition: background-color 0.2s;
    border-radius: 5px;
    flex-grow: 1;
}
body > header > user > buts > div:hover {
    background-color: var(--shadow);
}

body > login > div {
    --popup-w: 600px;
    --popup-h: 400px;
    padding: 20px 40px;
}
body > login > div > sel {
    font-size: 15px;
    display: flex;
    border-bottom: 1px solid var(--shadow);
}
body > login > div > sel > div {
    flex-grow: 1;
    transition: color 0.2s;
    font-size: 20px;
    text-align: center;
    cursor: pointer;
    padding-bottom: 10px;
}
body > login > div > sel > div.act {
    color: var(--link);
}

body > login > div > form {
    margin-top: 30px;
}
body > login > div > form > err {
    display: block;
    line-height: 20px;
    height: 20px;
    font-size: 15px;
    color: var(--link);
    text-align: center;
}
body > login > div > form > div {
    display: flex;
    justify-content: center;
    padding: 10px;
    position: relative;
}
body > login > div > form > div > input {
    line-height: 30px;
    font-size: 18px;
    padding: 5px 20px;
    width: 260px;
    border-radius: 20px;
    text-align: center;
}
body > login > div > form > div > show {
    position: absolute;
    font-family: icon;
    top: 10px;
    right: 150px;
    width: 40px;
    text-align: center;
    line-height: 40px;
    cursor: pointer;
}
body > login > div > form > but {
    display: block;
    width: 300px;
    height: 40px;
    line-height: 40px;
    font-size: 18px;
    margin-left: 150px;
    margin-top: 20px;
    border-radius: 20px;
}
body > login > div > social {
    display: flex;
    justify-content: center;
}
body > login > div > social > a {
    margin: 10px 20px;
    opacity: 0.5;
    cursor: pointer;
    line-height: 30px;
    font-size: 15px;
}
body > login > div > social > a:hover {
    opacity: 1;
}
body > login > div > p {
    text-align: center;
    font-size: 14px;
    line-height: 20px;
    white-space: pre;
    margin-top: 50px;
    opacity: 0.5;
}

body > arthm-confirm {
    --popup-w: 400px;
    --popup-h: 190px;
}
body > arthm-confirm > div > h3 {
    margin: 10px 20px;
    line-height: 20px;
    font-weight: normal;
    font-size: 14px;
    opacity: 0.5;
}
body > arthm-confirm > div > p {
    font-size: 18px;
    line-height: 24px;
    height: 80px;
    margin: 0 20px;
    justify-content: center;
    text-align: center;
    display: flex;
    align-items: center;
    white-space: pre;
    flex-direction: column;
}
body > arthm-confirm > div > p > input {
    width: 320px;
    margin-top: 15px;
    height: 30px;
    line-height: 30px;
    font-size: 15px;
    text-align: center;
}
body > arthm-confirm > div > buts {
    display: flex;
    position: absolute;
    width: calc(100% - 60px);
    bottom: 20px; left: 30px;
}
body > arthm-confirm > div > buts > div {
    flex-grow: 1;
    margin: 10px;
    font-size: 18px;
    line-height: 30px;
    border-radius: 12px;
}

body > nav {
    z-index: 109;
    position: fixed;
    left: 20px;
    bottom: 30px;
    height: 70px;
    background-color: var(--theme-bg-opacity);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    box-shadow: 0 0 0 1px var(--shadow);
    border-radius: 12px;
    padding: 5px;
    user-select: none;
    -webkit-user-select: none;
    width: 220px;
    transition: left 0.2s, width 0.2s, color 0.2s, background-color 0.2s;
    text-align: center;
    line-height: 30px;
    font-size: 15px;
    opacity: 0.8;
}
body > nav.fold {
    width: 85px;
    left: -70px;
}
body > nav > tools {
    display: flex;
    width: 100%;
}
body > nav > tools > div, body > nav > .fold {
    border-radius: 5px;
    width: 30px;
    font-family: icon;
}
body > nav > .fold {
    position: absolute;
    right: 5px; top: 5px;
    transition: right .2s, top .2s, width .2s, line-height .2s, background-color .2s;
}
body > nav.fold > .fold {
    right: 2px; top: 10px;
    width: 15px;
    line-height: 60px;
}
body > nav > navls {
    display: flex;
    width: 100%;
}
body > nav > navls > div {
    flex-shrink: 0;
    width: 50px;
    border-radius: 8px;
    font-size: 14px;
    letter-spacing: 3px;
}
body > nav div {
    cursor: pointer;
    transition: background-color 0.2s, box-shadow 0.2s, color 0.2s;
    margin: 2px;
}
body > nav div:hover {
    background-color: var(--shadow);
}
body > nav div:active {
    background-color: var(--dim);
}
body > nav div.act {
    color: var(--theme-bg);
    background-color: var(--link);
}
body > nav div.act:hover {
    box-shadow: none;
}
body > nav > recording {
    position: absolute;
    top: -40px; left: 0;
    height: 30px;
    width: 110px;
    background-color: #111;
    border-radius: 5px;
    display: flex;
    transition: left .2s;
    animation: popup .2s;
}
body > nav > recording > ico {
    position: absolute;
    left: 0; top: 0;
    font-size: 20px;
    line-height: 31px;
    width: 30px;
    text-align: center;
    color: #f00;
    cursor: pointer;
    transition: opacity .1s, left .2s;
}
body > nav > recording > ico:hover {
    opacity: 0.5;
}
body > nav > recording > p {
    margin: 0;
    padding-left: 30px;
    line-height: 30px;
    font-family: note, sans-serif;
    font-size: 15px;
    color: #fff;
    letter-spacing: 2px;
    transition: opacity .2s;
}
body > nav.fold > recording {
    left: -15px;
}
body > nav.fold > recording > p {
    opacity: 0;
}
body > nav.fold > recording > ico {
    left: 80px;
}

@keyframes page-fadeout {
    0% {
        filter: brightness(1);
    }
    50%,
    100% {
        filter: brightness(0.5);
    }
}
@keyframes page-popup {
    0% {
        transform: translateY(100%);
    }
    100% {
        transform: translateY(0);
    }
}
body > main {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden auto;
    background-color: var(--bright);
    display: flex;
    justify-content: center;
    /* animation: page-popup 0.25s; */
    animation: page-popup 0.01s;
    transition: background-color 0.2s, color 0.2s;
}
body > main.fadeout {
    /* animation: page-fadeout 0.25s; */
    animation: page-fadeout 0.01s;
    filter: brightness(0.5);
}


body > context-menu {
    z-index: 112;
    position: fixed;
    padding: 5px;
    border-radius: 12px;
    box-shadow: 0 0 5px 1px var(--shadow);
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
    background-color: var(--theme-bg-opacity);
    font-size: 15px;
    line-height: 30px;
    width: 160px;
    animation: fade 0.1s;
}
body > context-menu > hr {
    border: none;
    display: block;
    margin: 10px;
    width: calc(100% - 20px);
    height: 1px;
    background-color: var(--shadow);
}
body > context-menu > div {
    padding: 0 10px;
    border-radius: 8px;
    transition: background-color 0.2s, color 0.2s;
    cursor: pointer;
    position: relative;
}
body > context-menu > div:hover {
    color: #fff;
    background-color: var(--link) ;
}
body > context-menu > div > info {
    position: absolute;
    right: 5px;
    top: 7px;
    font-size: 9px;
    line-height: 16px;
    padding: 0 5px;
    border-radius: 5px;
    background-color: var(--shadow);
    color: var(--theme-tx);
    opacity: 0.5;
    font-family: note;
}


not-found {
    text-align: center;
}
not-found > h1 {
    position: absolute;
    width: 500px;
    font-size: 100px;
    left: calc(50% - 250px);
    top: calc(50% - 250px);
    line-height: 200px;
    border-radius: 15px;
    color: var(--theme-tx);
    background-color: var(--theme-bg);
}
not-found > div {
    position: absolute;
    left: calc(50% - 250px);
    top: calc(50% + 50px);
    height: 50px;
    line-height: 50px;
    display: flex;
}
not-found > div > but {
    background-color: var(--link);
    color: var(--theme-bg);
    width: 230px;
    border-radius: 12px;
    cursor: pointer;
    transition: box-shadow 0.2s;
}
not-found > div > but:hover {
    box-shadow: 0 0 5px var(--link);
}
not-found > div > but:first-child {
    background-color: var(--theme-bg);
    color: var(--link);
    margin-right: 40px;
}

body > tabview {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    overflow: hidden;
    background-image: linear-gradient(180deg, var(--surface) 40%, var(--dim) 60%);
    user-select: none;
    -webkit-user-select: none;
}
body > tabview::after {
    content: " HISTORY";
    position: absolute;
    width: 100%;
    bottom: 100px;
    line-height: 120px;
    font-size: 80px;
    letter-spacing: 60px;
    text-align: center;
    color: var(--surface);
    font-family: note, sans-serif;
    opacity: 0.5;
}
body > tabview > div {
    width: calc(100vw * 0.3);
    height: calc(100vh * 0.3);
    padding: 10px 10px;
    background-color: var(--bright);
    border-radius: 12px;
    position: absolute;
    box-shadow: 0 0 2px 1px var(--shadow);
    transition: left 0.2s, box-shadow 0.2s;
}
body > tabview > div.act {
    box-shadow: 0 0 5px 1px var(--link);
}
body > tabview > div > buts {
    z-index: 1;
    position: absolute;
    font-family: icon;
    display: flex;
    justify-content: center;
    top: 5px;
    left: 10px;
    width: calc(100% - 20px);
    line-height: 24px;
    font-size: 18px;
}
body > tabview > div > buts > div {
    color: var(--shadow);
    cursor: pointer;
    transition: color 0.2;
    margin: 0 5px;
}
body > tabview > div > buts > div:hover {
    color: var(--link);
}
body > tabview > div > main {
    background-color: var(--bright);
    display: flex;
    justify-content: center;
    position: absolute;
    width: 100vw;
    height: 100vh;
    left: 10px; top: 10px;
    transform: scale(0.3);
    transform-origin: 0 0;
    overflow: hidden;
    pointer-events: none;
    border-radius: 8px;
}

body > arthm-hover-title {
    position: absolute;
    font-size: 12px;
    padding: 5px 10px;
    background-color: var(--theme-bg-opacity);
    backdrop-filter: blur(2px);
    pointer-events: none;
    border-radius: 3px;
    box-shadow: 0 0 0 1px var(--shadow);
    white-space: pre-wrap;
    line-height: 18px;
    animation: fade 0.1s;
}
